      SUBROUTINE OUTPLT
*  PRODUCES OUTPUT FILE WHICH PRODUCES GRAPHICS ON SPECIALTY PRINTER
*   THE CODE IS SET IN DRAW2 VIA JHDEV
      CHARACTER*80    FILEIN,FILOUT,FILPLT, LLEGND
      COMMON /LEGEND/ FILEIN,FILOUT,FILPLT, LLEGND

      COMMON /HCPY/ JHDEV

      JHDEV=ABS(JHDEV)
      CALL PICTUR
      CALL PLOT(0,0,10)

      ITEMP = LLENG( FILPLT )
      IF ( JHDEV .EQ. 1) THEN
        WRITE (*,*) 'TIGER plot file written to '//FILPLT(:ITEMP)
      ELSEIF( JHDEV .EQ. 2 ) THEN
        WRITE (*,*) 'EPSON plot file written to '//FILPLT(:ITEMP)
      ELSEIF( JHDEV .EQ. 3 ) THEN
        WRITE (*,*) 'DEC LA50 plot file written to '//FILPLT(:ITEMP)
      ELSEIF( JHDEV .EQ. 4 ) THEN
        WRITE (*,*) 'MPI-99 plot file written to '//FILPLT(:ITEMP)
      ELSEIF( JHDEV .EQ. 5) THEN
        WRITE (*,*) 'HP PLOTTER format file named '//FILPLT(:ITEMP)
      ELSEIF( JHDEV .EQ. 6) THEN
        WRITE (*,*) 'CALCOMP format file named '//FILPLT(:ITEMP)
      ELSEIF( JHDEV .EQ. 7) THEN
        WRITE (*,*) 'X2700 format file named '//FILPLT(:ITEMP)
      ELSE
        WRITE (*,*) 'BAD HARD COPY DEVICE CODE IN JHDEV=',JHDEV
        RETURN
      ENDIF

      JHDEV=-ABS(JHDEV)
      CALL PLOT (0,0,10)
      RETURN
      END
